import React, { ReactElement } from "react";
interface MouseMonitorProps {
    onMoveAway: () => void;
    paddingX: number;
    paddingY: number;
    children: ReactElement;
}
/**
 * A component that monitors mouse movements over a child and invisible padded area.
 */
declare const MouseMonitor: ({ onMoveAway, paddingX, paddingY, children, }: MouseMonitorProps) => React.JSX.Element;
export default MouseMonitor;
