import { PDFViewer } from "pdfjs-dist/types/web/pdf_viewer";
import React from "react";
interface TipRendererProps {
    viewer: PDFViewer;
}
/**
 * A helper component that defines and processes the right props to setup a TipContainer
 * component inside of a PdfHighlighter component. Its existence is highly dependent on a
 * PdfHighlighter, but it is independently written to help declutter the PdfHighlighter.
 */
declare const TipRenderer: ({ viewer }: TipRendererProps) => React.JSX.Element | null;
export default TipRenderer;
