"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePdfDocument = exports.PdfLoaderContext = void 0;
const react_1 = require("react");
exports.PdfLoaderContext = (0, react_1.createContext)(undefined);
const usePdfDocument = () => {
    const pdfDocument = (0, react_1.useContext)(exports.PdfLoaderContext);
    if (pdfDocument === undefined) {
        throw new Error("usePdfDocument must be used within a correctly configured PdfLoader component!");
    }
    return pdfDocument;
};
exports.usePdfDocument = usePdfDocument;
//# sourceMappingURL=PdfLoaderContext.js.map