"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.scaledPositionToViewport = exports.viewportPositionToScaled = exports.useTipContainerUtils = exports.useTipViewerUtils = exports.useSelectionUtils = exports.useHighlightUtils = exports.AreaHighlight = exports.MonitoredHighlightContainer = exports.TextHighlight = exports.PdfLoader = exports.PdfHighlighter = void 0;
const PdfHighlighter_1 = __importDefault(require("./components/PdfHighlighter"));
exports.PdfHighlighter = PdfHighlighter_1.default;
const TextHighlight_1 = __importDefault(require("./components/TextHighlight"));
exports.TextHighlight = TextHighlight_1.default;
const MonitoredHighlightContainer_1 = __importDefault(require("./components/MonitoredHighlightContainer"));
exports.MonitoredHighlightContainer = MonitoredHighlightContainer_1.default;
const AreaHighlight_1 = __importDefault(require("./components/AreaHighlight"));
exports.AreaHighlight = AreaHighlight_1.default;
const PdfLoader_1 = __importDefault(require("./components/PdfLoader"));
exports.PdfLoader = PdfLoader_1.default;
const HighlightContext_1 = require("./contexts/HighlightContext");
Object.defineProperty(exports, "useHighlightUtils", { enumerable: true, get: function () { return HighlightContext_1.useHighlightUtils; } });
const SelectionContext_1 = require("./contexts/SelectionContext");
Object.defineProperty(exports, "useSelectionUtils", { enumerable: true, get: function () { return SelectionContext_1.useSelectionUtils; } });
const coordinates_1 = require("./lib/coordinates");
Object.defineProperty(exports, "viewportPositionToScaled", { enumerable: true, get: function () { return coordinates_1.viewportPositionToScaled; } });
Object.defineProperty(exports, "scaledPositionToViewport", { enumerable: true, get: function () { return coordinates_1.scaledPositionToViewport; } });
const TipContext_1 = require("./contexts/TipContext");
Object.defineProperty(exports, "useTipViewerUtils", { enumerable: true, get: function () { return TipContext_1.useTipViewerUtils; } });
Object.defineProperty(exports, "useTipContainerUtils", { enumerable: true, get: function () { return TipContext_1.useTipContainerUtils; } });
__exportStar(require("./types"), exports);
//# sourceMappingURL=index.js.map