import { createContext, useContext } from "react";
export const HighlightContext = createContext(undefined);
export const useHighlightUtils = () => {
    const highlightUtils = useContext(HighlightContext);
    if (highlightUtils === undefined) {
        throw new Error("useHighlightUtils must be used with a PdfHighlighter!");
    }
    return highlightUtils;
};
//# sourceMappingURL=HighlightContext.js.map