"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useHighlightUtils = exports.HighlightContext = void 0;
const react_1 = require("react");
exports.HighlightContext = (0, react_1.createContext)(undefined);
const useHighlightUtils = () => {
    const highlightUtils = (0, react_1.useContext)(exports.HighlightContext);
    if (highlightUtils === undefined) {
        throw new Error("useHighlightUtils must be used with a PdfHighlighter!");
    }
    return highlightUtils;
};
exports.useHighlightUtils = useHighlightUtils;
//# sourceMappingURL=HighlightContext.js.map