"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSelectionUtils = exports.SelectionContext = void 0;
const react_1 = require("react");
exports.SelectionContext = (0, react_1.createContext)(undefined);
const useSelectionUtils = () => {
    const selectionUtils = (0, react_1.useContext)(exports.SelectionContext);
    if (selectionUtils === undefined) {
        throw new Error("useSelectionUtils must be used within a selectionTip inside a PdfHighlighter!");
    }
    return selectionUtils;
};
exports.useSelectionUtils = useSelectionUtils;
//# sourceMappingURL=SelectionContext.js.map