import { createContext, useContext } from "react";
export const SelectionContext = createContext(undefined);
export const useSelectionUtils = () => {
    const selectionUtils = useContext(SelectionContext);
    if (selectionUtils === undefined) {
        throw new Error("useSelectionUtils must be used within a selectionTip inside a PdfHighlighter!");
    }
    return selectionUtils;
};
//# sourceMappingURL=SelectionContext.js.map